## DzlTreeBuilder DzlTreeBuilder |

## Functions

DzlTree * | dzl_tree_builder_get_tree ()
DzlTreeBuilder * | dzl_tree_builder_new ()

## Types and Values

| DzlTreeBuilderClass

## Description

## Functions

### dzl_tree_builder_get_tree ()

    DzlTree *
    dzl_tree_builder_get_tree (DzlTreeBuilder *builder);

Gets the tree that owns the builder.

#### Parameters

builder | A DzlTreeBuilder. | [in]

#### Returns

A DzlTree or `NULL`.

[transfer none][nullable]

### dzl_tree_builder_new ()

    DzlTreeBuilder *
    dzl_tree_builder_new (void);

## Types and Values

### DzlTreeBuilderClass

    typedef struct {
      GInitiallyUnownedClass parent_class;

      void     (*added)                   (DzlTreeBuilder      *builder,
                                           GtkWidget           *tree);
      void     (*removed)                 (DzlTreeBuilder      *builder,
                                           GtkWidget           *tree);
      void     (*build_node)              (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      void     (*build_children)          (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *parent);
      gboolean (*node_activated)          (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      void     (*node_selected)           (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      void     (*node_unselected)         (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      void     (*node_popup)              (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node,
                                           GMenu               *menu);
      void     (*node_expanded)           (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      void     (*node_collapsed)          (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      gboolean (*node_draggable)          (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      gboolean (*node_droppable)          (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node,
                                           GtkSelectionData    *data);
      gboolean (*drag_data_get)           (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node,
                                           GtkSelectionData    *data);
      gboolean (*drag_node_received)      (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *drag_node,
                                           DzlTreeNode         *drop_node,
                                           DzlTreeDropPosition  position,
                                           GdkDragAction        action,
                                           GtkSelectionData    *data);
      gboolean (*drag_data_received)      (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *drop_node,
                                           DzlTreeDropPosition  position,
                                           GdkDragAction        action,
                                           GtkSelectionData    *data);
      gboolean (*drag_node_delete)        (DzlTreeBuilder      *builder,
                                           DzlTreeNode         *node);
      void     (*cell_data_func)          (DzlTreeBuilder      *tree,
                                           DzlTreeNode         *node,
                                           GtkCellRenderer     *cell);
    } DzlTreeBuilderClass;